GDB (xrefs)

Public Attributes | List of all members
trace_frame_write_ops Struct Reference

`#include "tracefile.h"`

## Public Attributes
void(* | start )(struct trace_file_writer *self, uint16_t tpnum)
void(* | write_r_block )(struct trace_file_writer *self, gdb_byte *buf, int32_t size)
void(* | write_m_block_header )(struct trace_file_writer *self, uint64_t addr, uint16_t length)
void(* | write_m_block_memory )(struct trace_file_writer *self, gdb_byte *buf, uint16_t length)
void(* | write_v_block )(struct trace_file_writer *self, int32_t num, uint64_t val)
void(* | end )(struct trace_file_writer *self)

## Detailed Description

Definition at line 10 of file tracefile.h.

## Member Data Documentation

## ◆ end

void(* trace_frame_write_ops::end) (struct trace_file_writer *self)

Definition at line 46 of file tracefile.h.

Referenced by trace_save().

## ◆ start

void(* trace_frame_write_ops::start) (struct trace_file_writer *self, uint16_t tpnum)

Definition at line 14 of file tracefile.h.

Referenced by trace_save().

## ◆ write_m_block_header

void(* trace_frame_write_ops::write_m_block_header) (struct trace_file_writer *self, uint64_t addr, uint16_t length)

Definition at line 31 of file tracefile.h.

## ◆ write_m_block_memory

void(* trace_frame_write_ops::write_m_block_memory) (struct trace_file_writer *self, gdb_byte *buf, uint16_t length)

Definition at line 37 of file tracefile.h.

## ◆ write_r_block

void(* trace_frame_write_ops::write_r_block) (struct trace_file_writer *self, gdb_byte *buf, int32_t size)

Definition at line 18 of file tracefile.h.

## ◆ write_v_block

void(* trace_frame_write_ops::write_v_block) (struct trace_file_writer *self, int32_t num, uint64_t val)

Definition at line 42 of file tracefile.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tracefile.h